﻿@using LAP.DomainModels.Entities.Admin
@model UserLogin
@{
    ViewData["Title"] = "Adviser Info";
    var FMO = Model.UserData.FMO != null ? Model.UserData.FMO?.Name : "N/A";
    var BD = Model.UserData.BD != null ? Model.UserData.BD?.Name : "N/A";
    var RIA = Model.UserData.FMO != null ? Model.UserData.RIA?.Name : "N/A";
    var AdviserName = $"{Model.UserData.Name} - {Model.UserNo}";
    var FirmName = $"{Model.Firm.Name} - {Model.Firm.FirmNo}";
    var businessContacts = Model.AdviserContactInfos.Where(m => m.AddressType == AddressTypeEnum.Business);
    var businessName = Model.UserData.BusinessName;
    string avatarImageSrc = !string.IsNullOrEmpty(ViewBag.avatarImage) ? ViewBag.avatarImage : "images/blank.png";
}
<div class="container">
    <div class="card">
        <div class="card-body">
            <div class="card-header flex-wrap border-0 p-0">
                <div class="card-title mb-0">
                    <div class="d-flex justify-content-between">
                        <div>
                            <h3 class="card-label text-primary">
                                @Model.UserData.FirstName's Associated Firm Details
                            </h3>
                        </div>
                        <div>
                            <a onclick="goBack()" class="btn btn-sm btn-icon btn-outline-primary btn-hover-light-primary btn-circle" data-toggle="tooltip" title="Go Back">
                                <i class="fas fa-arrow-left"></i>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            <form class="form" id="AdviserInfo">
                <div class="card-body pl-0 pt-3">
                    <div class="row">
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label>Adviser Name</label>
                                <input asp-for="UserData.Name" class="form-control form-control-lg" value="@AdviserName">
                            </div>
                            <div class="form-group">
                                <label>Firm Name</label>
                                <input asp-for="Firm.Name" class="form-control form-control-lg" value="@FirmName">
                            </div>
                            <div class="form-group">
                                <label>Business Name</label>
                                <input class="form-control form-control-lg" value="@businessName">
                            </div>
                        </div>
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label>Field Marketing Organization</label>
                                <input asp-for="UserData.FMO.Name" class="form-control form-control-lg" value="@FMO">
                            </div>
                            <div class="form-group">
                                <label>Broker/Dealer</label>
                                <input asp-for="UserData.BD.Name" class="form-control form-control-lg" value="@BD">
                            </div>
                            <div class="form-group">
                                <label>Registered Investment Advisor</label>
                                <input asp-for="UserData.RIA.Name" class="form-control form-control-lg" value="@RIA">
                            </div>
                        </div>
                        <div class="col-xl-1"></div>
                        <div class="col-xl-3">
                            <div class="form-group">
                                <label>Headshot Photo</label>
                                <div class="symbol symbol-100 w-100">
                                    <div class="symbol-label" style="background-image:url(@avatarImageSrc);width:235px;height:235px;border: 1px solid #adb5bd;"></div>
                                </div>
                            </div>
                            <a href="regulatory-documents" target="_blank" class="btn btn-primary font-weight-bold font-size-h6" style="width:235px;padding:10px">
                                Regulatory Documents
                            </a>
                        </div>
                    </div>
                    <hr />
                    <div class="form-group">
                        <label>Business Address</label>
                        <div class="row">
                            @foreach (var item in businessContacts)
                            {
                                var businessStateCityZip = $"{item.City}, {item.State} {item.ZipCode}";
                                var phones = !string.IsNullOrEmpty(item.Phone) && !string.IsNullOrEmpty(item.CellNumber) ? $"{item.Phone}, {item.CellNumber}" : !string.IsNullOrEmpty(item.Phone) ? item.Phone : item.CellNumber;
                                var address2 = !string.IsNullOrEmpty(item.Address2) ? $"{Environment.NewLine}{item.Address2}" : string.Empty;
                                var address = $"{item.Address}{address2}{Environment.NewLine}{businessStateCityZip}{Environment.NewLine}{phones}";
                                <div class="col-md-3">
                                    <textarea class="form-control form-control-lg h-110px resize-none" disabled>@address</textarea>
                                </div>
                            }
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@section scripts{
    <script>
        $("#AdviserInfo input").prop("disabled", true);
    </script>
}
